## Trigger Download LookupTableRevisionData URL Job

### cURL

```
curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/jobs/download \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "contentType": "<unknown>"\n}\n'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/jobs/download"

payload = { "contentType": "<unknown>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({contentType: '<unknown>'})
};

fetch('https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/jobs/download', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

- **200**: Returns the trigger Download URL jobId.
- **4XX**: Error responses.
- **5XX**: Server errors.

### Response Examples

```json
{
  "jobId": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

### Authorizations

- `Authorization`: **string**, header, required, m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters

- **orgId**: **string**, required, UUID of the Organization.
- **lookupTableId**: **string**, required, UUID of the Lookup Table.
- **lookupTableRevisionId**: **string**, required, UUID of the Lookup Table Revision.

### Body

- **contentType**: any, required.

### Response Schema

- **200**: application/json, Returns the trigger Download URL jobId with the UUID of the download job.
